Bug 507194 - Suspend & Hibernate broke on HP 2140 between FC10 and FC11
Suspend & Hibernate broke on HP 2140 between FC10 and FC11
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pm-utils (Show other bugs)
11
All Linux
low Severity high
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-21 11:13 EDT by Daniel K
Modified: 2010-06-28 09:11 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:11:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages from 20090808 thaw crash (1.82 MB, text/plain)
2009-08-08 11:56 EDT, Daniel K
no flags Details
/var/log/pm-suspend.log from 20090809 thaw crash (8.75 KB, application/octet-stream)
2009-08-08 11:57 EDT, Daniel K
no flags Details

  None (edit)
Description Daniel K 2009-06-21 11:13:36 EDT
Description of problem:
Suspend/hibernate worked well on the HP 2140 laptop in FC10, but broke on FC11.

Version-Release number of selected component (if applicable):
pm-utils-1.2.5-2.fc11.i586
gnome-power-manager-2.26.2-1.fc11.i586
kernel-PAE-devel-2.6.29.4-167.fc11.i686
kernel-devel-2.6.29.4-167.fc11.i586
kernel-firmware-2.6.29.4-167.fc11.noarch
kerneloops-0.12-5.fc11.i586
kernel-2.6.29.4-167.fc11.i586
kernel-headers-2.6.29.4-167.fc11.i586
kernel-PAE-2.6.29.4-167.fc11.i686
kmodtool-1-18.fc11.noarch
kmod-wl-PAE-5.10.79.10-2.fc11.9.i686
akmods-0.3.6-2.fc11.noarch
kmod-wl-2.6.29.4-167.fc11.i686.PAE-5.10.79.10-2.fc11.9.i686
kmod-wl-2.6.29.4-167.fc11.i586-5.10.79.10-2.fc11.9.i686
akmod-wl-5.10.79.10-2.fc11.9.i686


How reproducible:
Always

Steps to Reproduce:
1. Boot laptop.
2. Login to account.
3. Click on battery icon in notification area.
4. Select hibernate.
5. (Laptop turns off.)
6. Boot laptop.
7. Blue screen comes up with center area for fedora icon to load in, but it freezes before loading.

  
Actual results:
Laptop freezes on boot in the hibernate-boot cycle.

Expected results:
Laptop boots to previously saved hibernate state.

Additional info:
I have 2 kernels installed, one i586 and one i686-PAE.
I have the broadcom driver installed in both as a kmod from rpmfusion.
In the i586 kernel, the command line pm-suspend and pm-hibernate seem to work reliably.  Also, the Suspend option in the gnome-power-manager battery icon seems to work reliably.  However, Hibernate from the gnome-power-manager doesn't work.
In the i686-PAE kernel, the command line pm-suspend seems to work reliably.  The command-line pm-hibernate seems to work some of the time, but not always.  The gnome-power-manager Suspend works, but Hibernate does not.
Comment 1 Daniel K 2009-06-21 11:27:22 EDT
My mistake, I retested, and the Suspend option off the gnome-power-manager battery icon seems to have broken behavior in both kernels.  Another note as well, when I've run the pm-suspend or pm-hibernate commandline options, they were from the Control-Alt-F2 terminal, not from within X.  It seems that X may be part of the issue, as on attempted restores (from both suspend and hibernate) I often get as far as a black screen with a mouse cursor on it, but it never completely restores.

Thanks!
Comment 2 Daniel K 2009-07-18 17:16:03 EDT
Upgraded to the latest updates, my versions are as follows:
akmod-wl.i686                         5.10.91.9-3.fc11            @rpmfusion-nonfree-updates
gnome-power-manager.i586              2.26.3-1.fc11               @updates      
kernel.i586                           2.6.29.4-167.fc11           installed     
kernel.i586                           2.6.29.5-191.fc11           @updates      
kernel-PAE.i686                       2.6.29.4-167.fc11           @fedora       
kernel-PAE.i686                       2.6.29.5-191.fc11           @updates      
kernel-PAE-devel.i686                 2.6.29.4-167.fc11           @fedora       
kernel-PAE-devel.i686                 2.6.29.5-191.fc11           @updates      
kernel-devel.i586                     2.6.29.4-167.fc11           installed     
kernel-devel.i586                     2.6.29.5-191.fc11           @updates      
kernel-firmware.noarch                2.6.29.5-191.fc11           @updates      
kernel-headers.i586                   2.6.29.5-191.fc11           @updates      
kerneloops.i586                       0.12-5.fc11                 installed     
kmod-wl-2.6.29.4-167.fc11.i586.i586   5.10.91.9-3.fc11            @rpmfusion-nonfree-updates
kmod-wl-2.6.29.4-167.fc11.i686.PAE.i686
kmod-wl-2.6.29.5-191.fc11.i586.i586   5.10.91.9-3.fc11.1          @rpmfusion-nonfree-updates
kmod-wl-2.6.29.5-191.fc11.i686.PAE.i686
kmod-wl-PAE.i686                      5.10.91.9-3.fc11.1          @rpmfusion-nonfree-updates
pm-utils.i586                         1.2.5-2.fc11                installed     
abrt-addon-kerneloops.i586            0.0.4-3.fc11                updates       
abrt-plugin-kerneloops.i586           0.0.3-1.fc11                fedora        
abrt-plugin-kerneloopsreporter.i586   0.0.4-3.fc11                updates       
akmod-wl.i586                         5.10.91.9-3.fc11            rpmfusion-nonfree-updates
arm-gp2x-linux-kernel-headers.noarch  2.6.12.0-3.fc11             fedora        
buildsys-build-rpmfusion-kerneldevpkgs-current.i586
buildsys-build-rpmfusion-kerneldevpkgs-current.i686
kernel-PAEdebug.i686                  2.6.29.5-191.fc11           updates       
kernel-PAEdebug-devel.i686            2.6.29.5-191.fc11           updates       
kernel-doc.noarch                     2.6.29.5-191.fc11           updates       
kmod-wl.i586                          5.10.91.9-3.fc11.1          rpmfusion-nonfree-updates
pm-utils-devel.i586                   1.2.5-2.fc11                fedora        


The hibernate and suspend problem seems to be fixed now.  The lid close is not detected, but running hibernate or suspend from the shutdown dialog works, so long as the network manager is not in the middle of connecting to a wireless network.  Once the network manager icon has stopped spinning and has become a set of bars indicating signal strength, hibernate and suspend will work reliably.

Notes on what still does not work:
1)  After turning on the machine to "thaw" from a previous hibernation, if Escape is pressed as the "f" boot screen is present, the screen will go to black (to show text?  Nothing is shown, however), and the background pixmap for the restored gnome desktop will be corrupted.  I'm thinking that the video ram where the pixmap is stored is getting overwritten by the text mode data.
2)  If an attempt to hibernate the machine is made while the network manager is still attempting to connect to a wireless network, the hibernate will succeed but the thaw will fail after the "f" boot screen.  What happens exactly:  The "f" boot screen appears but does not fill in any whiteness or the "f".  The screen goes to black with a mouse cursor on it.  Nothing else follows.  This definitely happens on cases where the hibernate is attempted after a thaw.  I'm not sure if it would happen on an attempt to hibernate after a fresh boot.

Both of these points are minor and manageable, but if I can test anything to resolve them, please let me know.

Thanks,
Dan
Comment 3 Daniel K 2009-08-08 11:54:39 EDT
OK, so continued use showed that it was not as stable as I reported in the last update.  It got to the point where it *never* seemed to thaw correctly.  I improved the situation by adding a file /etc/pm/config/modules with the following contents:
SUSPEND_MODULES="wl snd_hda_codec_analog snd_hda_intel snd_hda_codec snd_hwdep snd_pcm snd_timer snd soundcore snd_page_alloc"

(Please note that the actual improvement seemed to come from putting the sound modules in the list, the "tainted" wl module was later added just for good measure.)

This makes the hibernate/thaw cycle work most of the time.  It occasionally doesn't work, however.  I'm thinking it may have to do somehow with the date changing between the hibernate and the thaw, but I'm not sure.  The most recent unsuccessful thaw was between 20090807 and 20090808.  The thaw made it to a black screen with a mouse pointer on it, made several beeps, and then froze.  Here are log snippets from that unsuccessful thaw:

=====/var/log/pm-suspend.log=====

Fri Aug  7 07:13:28 EDT 2009: performing hibernate
Sat Aug  8 10:35:15 EDT 2009: Awake.
Sat Aug  8 10:35:15 EDT 2009: Running hooks for thaw
/usr/lib/pm-utils/sleep.d/99video thaw hibernate: Returned exit code 1.
/usr/lib/pm-utils/sleep.d/99hd-apm-restore.hook thaw hibernate: restoring level 128 for device sda

/dev/sda:
 setting Advanced Power Management level to 0x80 (128)
 APM_level      = 128
success.
/usr/lib/pm-utils/sleep.d/98smart-kernel-video thaw hibernate: success.
/usr/lib/pm-utils/sleep.d/95packagekit thaw hibernate: method return sender=:1.55 -> dest=:1.84 reply_serial=2
success.
/usr/lib/pm-utils/sleep.d/95led thaw hibernate: not applicable.
/usr/lib/pm-utils/sleep.d/94cpufreq thaw hibernate: success.
/usr/lib/pm-utils/sleep.d/90clock thaw hibernate: not applicable.
/usr/lib/pm-utils/sleep.d/75modules thaw hibernate: success.
/usr/lib/pm-utils/sleep.d/56atd thaw hibernate: Stopping atd: /etc/rc.d/init.d/functions: line 270:  3225 Segmentation fault      usleep 100000
/usr/lib/pm-utils/sleep.d/56atd: line 6:  3220 Segmentation fault      /etc/init.d/atd restart
Returned exit code 139.
/usr/lib/pm-utils/sleep.d/55NetworkManager thaw hibernate:




=====/var/log/messages=====
Aug  7 07:13:27 localhost NetworkManager: <info>  (eth1): cleaning up...
Aug  7 07:13:27 localhost nm-dispatcher.action: Error in get_property: Method "Get" with signature "ss" on interface "org.freedesktop.DBus.Properties" doesn't exist#012
Aug  8 10:35:14 localhost kernel: PM: Syncing filesystems ... done.
Aug  8 10:35:14 localhost kernel: Freezing user space processes ... (elapsed 0.00 seconds) done.
Aug  8 10:35:14 localhost kernel: Freezing remaining freezable tasks ... (elapsed 0.00 seconds) done.
Aug  8 10:35:14 localhost kernel: PM: Shrinking memory...  ^H-^H\^H|^H/^H-^Hdone (52747 pages freed)
Aug  8 10:35:14 localhost kernel: PM: Freed 210988 kbytes in 1.73 seconds (121.95 MB/s)
Aug  8 10:35:14 localhost kernel: Suspending console(s) (use no_console_suspend to debug)
Aug  8 10:35:14 localhost kernel: btusb_bulk_complete: hci0 urb f04f6700 failed to resubmit (1)
Aug  8 10:35:14 localhost kernel: btusb_bulk_complete: hci0 urb f04f6780 failed to resubmit (1)
Aug  8 10:35:14 localhost kernel: btusb_intr_complete: hci0 urb f04f6200 failed to resubmit (1)
Aug  8 10:35:14 localhost kernel: sd 0:0:0:0: [sda] Synchronizing SCSI cache
Aug  8 10:35:14 localhost kernel: ata_piix 0000:00:1f.1: PCI INT A disabled
Aug  8 10:35:14 localhost kernel: ehci_hcd 0000:00:1d.7: PCI INT A disabled
Aug  8 10:35:14 localhost kernel: ehci_hcd 0000:00:1d.7: PME# disabled
Aug  8 10:35:14 localhost kernel: uhci_hcd 0000:00:1d.3: PCI INT D disabled
Aug  8 10:35:14 localhost kernel: uhci_hcd 0000:00:1d.2: PCI INT C disabled
Aug  8 10:35:14 localhost kernel: uhci_hcd 0000:00:1d.1: PCI INT B disabled
Aug  8 10:35:14 localhost kernel: uhci_hcd 0000:00:1d.0: PCI INT A disabled
Aug  8 10:35:14 localhost kernel: HDA Intel 0000:00:1b.0: PCI INT A dAug  8 10:36:41 localhost kernel: imklog 3.22.1, log source = /proc/kmsg started.
Aug  8 10:36:41 localhost kernel: Initializing cgroup subsys cpuset
Aug  8 10:36:41 localhost kernel: Initializing cgroup subsys cpu
Aug  8 10:36:41 localhost kernel: Linux version 2.6.29.6-217.2.3.fc11.i686.PAE (mockbuild@xenbuilder2.fedora.redhat.com) (gcc version 4.4.0 20090506 (Red Hat 4.4.0-4) (GCC) ) #1 SMP Wed Jul 29 16:05:22 EDT 2009


Please note that the computer seemed to be ENTERING hibernation/sleep at 10:35:14, even though I was booting it from a hibernated state.


Thanks,

Dan
Comment 4 Daniel K 2009-08-08 11:56:56 EDT
Created attachment 356777 [details]
/var/log/messages from 20090808 thaw crash
Comment 5 Daniel K 2009-08-08 11:57:37 EDT
Created attachment 356778 [details]
/var/log/pm-suspend.log from 20090809 thaw crash
Comment 6 Bug Zapper 2010-04-27 11:08:04 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-06-28 09:11:29 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.